loci.formats.services

## Class EXIFServiceImpl

- java.lang.Object
- - loci.common.services.AbstractService
  - - loci.formats.services.EXIFServiceImpl

- All Implemented Interfaces:
    loci.common.services.Service, EXIFService

      public class EXIFServiceImpl
      extends loci.common.services.AbstractService
      implements EXIFService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private com.drew.metadata.exif.ExifSubIFDDirectory` | `directory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EXIFServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.util.Date` | `getCreationDate()`
    `java.util.HashMap<java.lang.String,java.lang.String>` | `getTags()`
    `void` | `initialize(java.lang.String file)`

    - ### Methods inherited from class loci.common.services.AbstractService

      `checkClassDependency`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### directory

          private com.drew.metadata.exif.ExifSubIFDDirectory directory

  - ### Constructor Detail

    - #### EXIFServiceImpl

          public EXIFServiceImpl()

  - ### Method Detail

    - #### initialize

          public void initialize(java.lang.String file)
                          throws loci.common.services.ServiceException,
                                 java.io.IOException

      Specified by:
        `initialize` in interface `EXIFService`
      Throws:
        `loci.common.services.ServiceException`
        `java.io.IOException`

    - #### getTags

          public java.util.HashMap<java.lang.String,java.lang.String> getTags()

      Specified by:
        `getTags` in interface `EXIFService`

    - #### getCreationDate

          public java.util.Date getCreationDate()

      Specified by:
        `getCreationDate` in interface `EXIFService`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `EXIFService`
      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment